--- cvcapture-0.3.0/cvcapture.c	2011-01-25 08:24:00.000000000 +0900
+++ cvcapture-0.3.0-1/cvcapture.c	2011-01-26 07:04:59.000000000 +0900
@@ -65,23 +65,15 @@
   Start capturing frames from camera. */
 PHP_METHOD(CvCapture, createCameraCapture)
 {
-	zend_class_entry * _this_ce;
-
-	zval * _this_zval = NULL;
 	long index = 0;
 
-
-
-	if (zend_parse_method_parameters(ZEND_NUM_ARGS() TSRMLS_CC, getThis(), "O|l", &_this_zval, CvCapture_ce_ptr, &index) == FAILURE) {
+	if (zend_parse_parameters(ZEND_NUM_ARGS() TSRMLS_CC, "l", &index) == FAILURE) {
 		return;
 	}
 
-	_this_ce = Z_OBJCE_P(_this_zval);
-
-
 	php_error(E_WARNING, "createCameraCapture: not yet implemented"); RETURN_FALSE;
 
-	object_init(return_value)
+	object_init_ex(return_value, CvCapture_ce_ptr);
 }
 /* }}} createCameraCapture */
 
@@ -91,24 +83,16 @@
   Start capturing frames from video file. */
 PHP_METHOD(CvCapture, createFileCapture)
 {
-	zend_class_entry * _this_ce;
-
-	zval * _this_zval = NULL;
 	const char * filename = NULL;
 	int filename_len = 0;
 
-
-
-	if (zend_parse_method_parameters(ZEND_NUM_ARGS() TSRMLS_CC, getThis(), "Os", &_this_zval, CvCapture_ce_ptr, &filename, &filename_len) == FAILURE) {
+	if (zend_parse_parameters(ZEND_NUM_ARGS() TSRMLS_CC, "s", &filename, &filename_len) == FAILURE) {
 		return;
 	}
 
-	_this_ce = Z_OBJCE_P(_this_zval);
-
-
 	php_error(E_WARNING, "createFileCapture: not yet implemented"); RETURN_FALSE;
 
-	object_init(return_value)
+	object_init_ex(return_value, CvCapture_ce_ptr);
 }
 /* }}} createFileCapture */
 
@@ -150,18 +134,18 @@
 
 /* }}} Methods */
 
-static void class_init_CvCapture(void)
+static void class_init_CvCapture(TSRMLS_D)
 {
 	zend_class_entry ce;
 
 	INIT_CLASS_ENTRY(ce, "CvCapture", CvCapture_methods);
-	CvCapture_ce_ptr = zend_register_internal_class(&ce);
+	CvCapture_ce_ptr = zend_register_internal_class(&ce TSRMLS_CC);
 
 	/* {{{ Property registration */
 
 	zend_declare_property_null(CvCapture_ce_ptr, 
 		"capture", 7, 
-		ZEND_ACC_PRIVATE TSRMLS_DC);
+		ZEND_ACC_PRIVATE TSRMLS_CC);
 
 	/* }}} Property registration */
 
@@ -254,7 +238,7 @@
 	REGISTER_LONG_CONSTANT("CV_CAP_PVAPI", CV_CAP_PVAPI, CONST_PERSISTENT | CONST_CS);
 	le_cvcapture = zend_register_list_destructors_ex(cvcapture_dtor, 
 						   NULL, "cvcapture", module_number);
-	class_init_CvCapture();
+	class_init_CvCapture(TSRMLS_C);
 
 	/* add your stuff here */
 
